# coding: utf-8
"""SQLAlchemy models for monitored hosts."""

import sqlalchemy as sa

metadata = sa.MetaData()

MAX_DOMAIN_NAME = 255
host = sa.Table(
    'host',
    metadata,
    sa.Column('id', sa.Integer, primary_key=True),
    sa.Column(
        'hostname',
        sa.String(MAX_DOMAIN_NAME),
        unique=True,
        nullable=False,
    ),
    sa.Column('sysname', sa.Text, nullable=False),
    sa.Column('description', sa.Text, nullable=False),
    sa.Column('contact', sa.Text, nullable=False),
    sa.Column('location', sa.Text, nullable=False),
    sa.Column('uptime', sa.Time, nullable=False),
    sa.Column('modified', sa.DateTime, onupdate=sa.func.utc_timestamp()),
)
